P1363_MGF1 Class Reference

P1363 mask generation function. More...

Inheritance diagram for P1363_MGF1:

## Public Member Functions

void | GenerateAndMask (HashTransformation &hash, byte *output, size_t outputLength, const byte *input, size_t inputLength, bool mask=true) const
| Generate and apply mask. More...

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

P1363 mask generation function.

Definition at line 712 of file pubkey.h.

## Member Function Documentation

## GenerateAndMask()

void P1363_MGF1::GenerateAndMask | ( | HashTransformation & | hash,
|  | byte * | output,
|  | size_t | outputLength,
|  | const byte * | input,
|  | size_t | inputLength,
|  | bool | mask = `true`
| ) |  | const

inline virtual

Generate and apply mask.

Parameters

  hash | HashTransformation derived class
  output | the destination byte array
  outputLength | the size fo the the destination byte array
  input | the message to hash
  inputLength | the size of the message
  mask | flag indicating whether to apply the mask

Implements MaskGeneratingFunction.

Definition at line 716 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h